Package groovy.swing.impl

# Class ListWrapperListModel<E>

java.lang.Object
javax.swing.AbstractListModel
groovy.swing.impl.ListWrapperListModel<E>

All Implemented Interfaces:
  `Serializable`, `ListModel`

    public class ListWrapperListModel<E>
    extends AbstractListModel

A `ListModel` implementation that's backed by a live `List`.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractListModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ListWrapperListModel​(List<E> delegateList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(int i, E e)` |
  `boolean` | `add​(E e)` |
  `boolean` | `addAll​(int i, Collection<? extends E> es)` |
  `boolean` | `addAll​(Collection<? extends E> es)` |
  `void` | `clear()` |
  `boolean` | `contains​(Object o)` |
  `boolean` | `containsAll​(Collection<?> objects)` |
  `E` | `get​(int i)` |
  `List<E>` | `getDelegateList()` |
  `Object` | `getElementAt​(int i)` |
  `int` | `getSize()` |
  `int` | `indexOf​(Object o)` |
  `boolean` | `isEmpty()` |
  `Iterator<E>` | `iterator()` |
  `int` | `lastIndexOf​(Object o)` |
  `ListIterator<E>` | `listIterator()` |
  `ListIterator<E>` | `listIterator​(int i)` |
  `E` | `remove​(int i)` |
  `boolean` | `remove​(Object o)` |
  `void` | `removeRange​(int fromIndex, int toIndex)` |
  `E` | `set​(int i, E e)` |
  `Object[]` | `toArray()` |
  `<T> T[]` | `toArray​(T[] ts)` |

  ### Methods inherited from class javax.swing.AbstractListModel

  `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListWrapperListModel

    public ListWrapperListModel​(List<E> delegateList)

- ## Method Details

  - ### getDelegateList

    public List<E> getDelegateList()

  - ### getSize

    public int getSize()

  - ### getElementAt

    public Object getElementAt​(int i)

  - ### set

    public E set​(int i, E e)

  - ### clear

    public void clear()

  - ### lastIndexOf

    public int lastIndexOf​(Object o)

  - ### contains

    public boolean contains​(Object o)

  - ### listIterator

    public ListIterator<E> listIterator()

  - ### isEmpty

    public boolean isEmpty()

  - ### indexOf

    public int indexOf​(Object o)

  - ### add

    public void add​(int i, E e)

  - ### iterator

    public Iterator<E> iterator()

  - ### addAll

    public boolean addAll​(Collection<? extends E> es)

  - ### remove

    public E remove​(int i)

  - ### addAll

    public boolean addAll​(int i, Collection<? extends E> es)

  - ### listIterator

    public ListIterator<E> listIterator​(int i)

  - ### containsAll

    public boolean containsAll​(Collection<?> objects)

  - ### remove

    public boolean remove​(Object o)

  - ### add

    public boolean add​(E e)

  - ### get

    public E get​(int i)

  - ### toArray

    public <T> T[] toArray​(T[] ts)

  - ### toArray

    public Object[] toArray()

  - ### removeRange

    public void removeRange​(int fromIndex, int toIndex)